Subject: Re: telnetd: all network ports in use
From: [email-masked] (Nicola Bernardini)

3 Feb 1998 05:23:53 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: root <[email-masked]>
Cc: [email-masked]

On Sat, 31 Jan 1998, root wrote:

> 
> > 
> > 
> > > I'm running MI/X successfully under NT 4.0 with coolview.
> > >
> > > Only when I run rxvt (starting from a cmd box prompt)
> > > I'm getting 
> > >
> > > can't open pseudo-tty
> > > aborting
> > >
> > > When I start inetd.exe and try to login from outside
> > > I'm getting (maybe related)
> > >
> > > telnetd: all network ports in use
> > >
> > *	Can someone fill me in?
> > 
> 
> VERY interesting.
> I am running linux, and when I want to telnet from my other linux machine
> I get
> 
> telnetd: all network ports in use
[snip]

Question: are you using Sergei Okhapkin's extensions to gnu-win32
(and therefore the inetd daemon)?
It took me quite a long time to get telnetd to work (as can be seen
from previous mails in this mailing list) but finally, thanks to help
from Patrick J.Fay (I still thank him), I got it to work. Everything
works very well BUT it is not completely documented. So:

1) make sure that you follow all Okhapkin's instructions *very carefully*,
   PLUS:

2) make your root binary mounted (mount -b c: / or something like that),
   and if you want your compiler and everything else working as under
   linux, I would do a "mount -b c:\gnuwin32\b18\H-i386-cygwin32 /usr"

3) make an /etc/passwd file using the mkpasswd utility provided with
   the cygnus distribution

4) make sure that the /usr/local/etc/inetd.conf provided with coolview
   has the correct path to telnetd.in

5) last but most important of all: make absolutely *sure* (run a search)
   that you don't have an old cygwin.dll laying out somewhere (cygnus
   puts one in lib and a copy in bin(!); remove them all and put coolview's
   cygwin.dll in a directory which is in your PATH variable

Hope this will help

Nicola

P.S. All that blabla about Unix and warnings? Most of the problems here
     have to do with WindowsNT security mechanisms...:-(

------------------------------------------------------------------------
Nicola Bernardini
E-mail: [email-masked]
 
Re graphics: A picture is worth 10K words -- but only those to describe
the picture.  Hardly any sets of 10K words can be adequately described
with pictures.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".